Announcements
Known issues updated. Learn more

Bring back support for Mac OSX 10.6.8 ...still a perfectly viable system

New member | Level 2

I may need some help getting or posting to the right place to get this discussion going in the right direction. I would appreciate any help. Ok, here goes. There is a reason that many of us Mac users continue with the older system... in my case OSX 10.6.8 is probably the latest update with which I can continue running my older Photoshop and other programs without the need to upgrade to later more expensive equipment and being forced to live on the cloud. This older system works perfectly well! We need to transfer some files and now the door is SHUT. I have recently purchased a new PC laptop and have dropbox on it, but my Mac cannot communicate because dropbox won't work. We in the Mac community are the reason that you have things so well now... We developed all the creative fun stuff back in the 80s and 90s that has grown into what we enjoy now... and our older system is still a good solid system.  Your help would be appreciated... Thank you...

2 Comments
Super User II
Super User II

I'll move it to the right place, however, I can guarantee it wont happen I'm afraid.

They dont support anything lower than 10.10 now (and I imagine that will change to 10.11 shortly) so they are not going to go back that far.

https://help.dropbox.com/installs-integrations/desktop/system-requirements

airhog New member | Level 2
New member | Level 2

I know how it works, but there are a lot of us out here who will find another way to move our data around... but I have to squirt some oil at the squeeky wheel. When it flys off sometimes someone will pay attention! I deliberately wrote it that way so maybe I could elicit a raised eyebrow.